Bug 605927 - [abrt] crash in upnp-inspector-0.2.2-2.fc13: mediarenderer.py:527:get_position:AttributeError: 'NoneType' object has no attribute 'call'
Summary: [abrt] crash in upnp-inspector-0.2.2-2.fc13: mediarenderer.py:527:get_positio...
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: upnp-inspector   
(Show other bugs)
Version: 13
Hardware: i686 Linux
low
medium
Target Milestone: ---
Assignee: Andrea Musuruane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:2bf81b75
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-19 12:41 UTC by densamwill
Modified: 2010-08-29 09:44 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-29 09:44:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (873 bytes, text/plain)
2010-06-19 12:42 UTC, densamwill
no flags Details

Description densamwill 2010-06-19 12:41:59 UTC
abrt 1.1.1 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/upnp-inspector
component: upnp-inspector
executable: /usr/bin/upnp-inspector
kernel: 2.6.33.5-124.fc13.i686.PAE
package: upnp-inspector-0.2.2-2.fc13
reason: mediarenderer.py:527:get_position:AttributeError: 'NoneType' object has no attribute 'call'
release: Fedora release 13 (Goddard)

backtrace
-----
mediarenderer.py:527:get_position:AttributeError: 'NoneType' object has no attribute 'call'

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/upnp_inspector/devices.py", line 438, in mediarenderer_control
    ui = MediaRendererWidget(self.coherence,device)
  File "/usr/lib/python2.6/site-packages/upnp_inspector/mediarenderer.py", line 166, in __init__
    self.get_position()
  File "/usr/lib/python2.6/site-packages/upnp_inspector/mediarenderer.py", line 527, in get_position
    d = action.call(InstanceID=0)
AttributeError: 'NoneType' object has no attribute 'call'

Local variables in innermost frame:
action: None
self: <upnp_inspector.mediarenderer.MediaRendererWidget object at 0xa1737cc>
handle_result: <function handle_result at 0xa5273ac>
service: Service urn:schemas-upnp-org:service:AVTransport:2 urn:upnp-org:serviceId:AVTransport

Comment 1 densamwill 2010-06-19 12:42:02 UTC
Created attachment 425333 [details]
File: backtrace

Comment 2 Andrea Musuruane 2010-06-27 14:57:03 UTC
I don't know how to reproduce this bug. Please tell me.

Thanks!

Comment 3 Andrea Musuruane 2010-07-30 13:36:46 UTC
This is just a reminder that if the requested information is not supplied
within 30 days, this bug will be closed. Thanks for your assistance in
improving Fedora.

Comment 4 Andrea Musuruane 2010-08-29 09:44:40 UTC
Closing because of no response.


Note You need to log in before you can comment on or make changes to this bug.